Bug 1807793 - glusterfs-libs: usage of inet_addr() may impact IPv6
Summary: glusterfs-libs: usage of inet_addr() may impact IPv6
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: core
Version: 6
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Xavi Hernandez
QA Contact:
URL:
Whiteboard:
Depends On: 1721385
Blocks: 1806846
TreeView+ depends on / blocked
 
Reported: 2020-02-27 09:38 UTC by Xavi Hernandez
Modified: 2020-03-02 07:57 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1721385
Environment:
Last Closed: 2020-02-28 06:19:05 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Gluster.org Gerrit 24182 0 None Merged core: replace inet_addr with inet_pton 2020-02-28 06:19:03 UTC

Description Xavi Hernandez 2020-02-27 09:38:30 UTC
+++ This bug was initially created as a clone of Bug #1721385 +++

Description of problem: usr/lib64/libglusterfs.so.0.0.1 on x86_64 uses function inet_addr, which may impact IPv6 support

Comment 1 Worker Ant 2020-02-27 09:43:41 UTC
REVIEW: https://review.gluster.org/24182 (core: replace inet_addr with inet_pton) posted (#1) for review on release-6 by Xavi Hernandez

Comment 2 Worker Ant 2020-02-28 06:19:05 UTC
REVIEW: https://review.gluster.org/24182 (core: replace inet_addr with inet_pton) merged (#3) on release-6 by hari gowtham


Note You need to log in before you can comment on or make changes to this bug.